Namespace
library
Image / Tag
consul:1.0.8
Content Digest
sha256:87bef0dd0b4334a560bfab978d92e3b36c2124703a5ddb44cd5917b2ba4c7f96
Details
Created

2020-04-24 04:32:11 UTC

Size

15.7 MB

Content Digest
Environment
CONSUL_VERSION

1.0.8

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2f4fdbe0599cb5bbd0664b1cdad4997f428ce2495ae3eabf942129dc197d991c - 16.8% (2.64 MB)

[#001] sha256:850240b833ceb1a2c21f19767158367cc05e0dfce3b9ab8400783540669769d3 - 0.01% (1.23 KB)

[#002] sha256:32c56ab7d56e42aabf7140922618da2a3da26d2ca704983eeafa728c0c1e91c1 - 83.18% (13.1 MB)

[#003] sha256:b16846dd8889e312196cb104f75ff12d5ebfebc6e9e0e4d6009ba0f3e8f1c464 - 0.0% (142 Bytes)

[#004] sha256:2b35ea71b0133f4d25007c58be12051c0cfd1ecc56c0319920da065e220f7ed6 - 0.0% (154 Bytes)

[#005] sha256:59a089445a55f289bec444acc9e912f021d47dcd4e8c6c3a9c7d05bdf6d4fb03 - 0.01% (1.64 KB)


History
2020-04-23 21:16:18 UTC

/bin/sh -c #(nop) ADD file:68d5786259963a2b97cf808d79de83cbd0281dfea284e1a401bc851a3585e1bd in /

2020-04-23 21:16:19 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 04:30:33 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 04:32:04 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.0.8

2020-04-24 04:32:04 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 04:32:05 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 04:32:08 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 04:32:09 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 04:32:10 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 04:32:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 04:32:10 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 04:32:10 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 04:32:10 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 04:32:11 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 04:32:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 04:32:11 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 14:18:46 UTC

Size

15.8 MB

Content Digest
Environment
CONSUL_VERSION

1.0.8

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:31603596830fc7e56753139f9c2c6bd3759e48a850659506ebfb885d1cf3aef5 - 16.7% (2.64 MB)

[#001] sha256:a175f9e722e4499bcd8d1f24912559efa6ac03dc87b03ac0e6ec47a6044a4e12 - 0.01% (1.22 KB)

[#002] sha256:3c9a43f101c642d6477bb6335402beb30a881e9948a751d917c836e752a36efd - 83.28% (13.2 MB)

[#003] sha256:7197b0ced71da3016ff111b9e656f2ef08fe3c3eaf49e52c18c808d4067bad35 - 0.0% (142 Bytes)

[#004] sha256:712469348d05219c9dcd60b60a509dcf8e78d135d8db6ea1092218437509b073 - 0.0% (154 Bytes)

[#005] sha256:e6d67797597fb41f37713cf82e5fd545d0c4be3be5420ceaec1c3aa8ae3850ae - 0.01% (1.64 KB)


History
2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) ADD file:a0afd0b0db7f9ee9496186ead087ec00edd1386ea8c018557d15720053f7308e in /

2020-04-24 01:05:35 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 14:17:15 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 14:18:39 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.0.8

2020-04-24 14:18:39 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 14:18:40 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 14:18:43 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 14:18:44 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 14:18:45 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 14:18:45 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 14:18:45 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 14:18:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 14:18:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 14:18:45 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 14:18:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 14:18:46 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-23 16:58:03 UTC

Size

15.2 MB

Content Digest
Environment
CONSUL_VERSION

1.0.8

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:27da80392aebe463671b839837d59af1261218364b4261ceb2eca0f814075270 - 16.0% (2.43 MB)

[#001] sha256:6b7f1ec021b4538db3c83f84b62bb94da1519016e0073c4f5148322e57043678 - 0.01% (1.25 KB)

[#002] sha256:5d1d832c9019f7acf2ca2a1b554704ed90a4fd3815998118c9ab8f2d5700daa0 - 83.98% (12.8 MB)

[#003] sha256:1973747b0151219f88c7cab68412c0aaa44445791287c96a838bc3d0cca8018e - 0.0% (175 Bytes)

[#004] sha256:c50cb5fffaf1ddd735c3e52e4ca181126c92329f3d43ef2cb6b38869f87e661a - 0.0% (155 Bytes)

[#005] sha256:f475845735cc1de22cdcb0faeadf59b78ecbb89fe44f32adcc5986d73eaae827 - 0.01% (1.64 KB)


History
2020-04-23 15:51:44 UTC

/bin/sh -c #(nop) ADD file:7dd2657543fac7f63a125194d27bd38a8e472a3076831a2331c43a471794c210 in /

2020-04-23 15:51:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-23 16:53:13 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-23 16:57:39 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.0.8

2020-04-23 16:57:40 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-23 16:57:42 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-23 16:57:49 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-23 16:57:55 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-23 16:57:58 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-23 16:57:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-23 16:57:59 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-23 16:58:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-23 16:58:01 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-23 16:58:02 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-23 16:58:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-23 16:58:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-04-24 09:26:10 UTC

Size

15.2 MB

Content Digest
Environment
CONSUL_VERSION

1.0.8

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:941f399634ec37b35e6764d0e6cf350593652f06f76586d45ddfc0d77de7a701 - 16.91% (2.57 MB)

[#001] sha256:2ad7d2b93ab1eb5a34e6982495f0a2bb5893db041369278bad9a208f54ffcc37 - 0.01% (1.25 KB)

[#002] sha256:11fcae0383ed139ed92a0e0f9d04425c9162949246201fccebefcdcbfa33281d - 83.07% (12.6 MB)

[#003] sha256:4e9ee512a3a0d4fa56fc8fdf4f14b06d464d936ed52abf0b7f9291e4792116cc - 0.0% (175 Bytes)

[#004] sha256:f7d49e932f1e3560cce2811c1da9fb185aa5148e3993ce5243483dba1ca72111 - 0.0% (154 Bytes)

[#005] sha256:8026929bfbb48a0798d5571ea44263c5fc1203f9ee229d0f83a05c384c90a7ad - 0.01% (1.64 KB)


History
2020-04-24 00:15:12 UTC

/bin/sh -c #(nop) ADD file:da3ddeca2212f561c1f428b662a1f1f1200e2d18a42bffb28a0322c235f06582 in /

2020-04-24 00:15:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-04-24 09:22:17 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-04-24 09:25:51 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.0.8

2020-04-24 09:25:52 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-04-24 09:25:54 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-04-24 09:25:59 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-04-24 09:26:03 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-04-24 09:26:05 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-04-24 09:26:05 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-04-24 09:26:06 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-04-24 09:26:07 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-04-24 09:26:08 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-04-24 09:26:09 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2020-04-24 09:26:10 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-04-24 09:26:10 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]